<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

-   [ArgsAndFlags][1]
    -   [Parameters][2]
    -   [parse][3]
        -   [Parameters][4]
    -   [help][5]
        -   [Parameters][6]
    -   [formatDescription][7]
        -   [Parameters][8]
    -   [argsHelp][9]
        -   [Parameters][10]
    -   [flagsHelp][11]
        -   [Parameters][12]

## ArgsAndFlags

Parse and validate args and flags for cli tools

### Parameters

-   `options`  
-   `args`  arguments
-   `flags`  flags
-   `indent`  how many spaces to indent help text

### parse

Parse and validate args and flags for cli tools

#### Parameters

-   `argsInput` **[Array][13]&lt;[object][14]>** actual args supplied at command line

Returns **[object][14]** 

### help

Get help text for all args

#### Parameters

-   `options` **[object][14]?** 
    -   `options.argsHeaderText` **[string][15]?** header text above list of arguments. default is `Arguments`
    -   `options.flagsHeaderText` **[string][15]?** header text above list of flags. default is `Flags`
    -   `options.leftColumnWidth` **[number][16]?** width of left section in columns. default is the length of the longest arg or flag name
    -   `options.rightColumnWidth` **[number][16]?** width of right section in columns. default is the full width of the terminal minus the leftColumnWidth
    -   `options.gutter` **[number][16]?** width of gutter in columns. default is `4`

Returns **[string][15]** 

### formatDescription

Format description

#### Parameters

-   `text` **[string][15]** description text
-   `leftColumnWidth` **[number][16]** width of left section in columns
-   `rightColumnWidth` **[number][16]** width of right section in columns
-   `gutter` **[number][16]** width of gutter in columns

Returns **[string][15]** 

### argsHelp

Get help text for all args

#### Parameters

-   `options` **[object][14]** 
    -   `options.lines` **[array][13]** lines of text in an array
    -   `options.longestLine` **integer** integer for the longest line in the array of lines (of both args and flags)
    -   `options.headerText` **[string][15]?** header text above list of arguments. default is `Arguments:`
    -   `options.leftColumnWidth` **[number][16]?** width of left section in columns. default is the length of the longest arg or flag name
    -   `options.rightColumnWidth` **[number][16]?** width of right section in columns. default is the full width of the terminal minus the leftColumnWidth
    -   `options.gutter` **[number][16]?** width of gutter in columns. default is `4`

Returns **[string][15]** 

### flagsHelp

Get help text for all flags

#### Parameters

-   `options` **[object][14]** 
    -   `options.lines` **[array][13]** lines of text in an array
    -   `options.longestLine` **integer** integer for the longest line in the array of lines (of both args and flags)
    -   `options.headerText` **[string][15]?** header text above list of flags. default is `Flags:`
    -   `options.leftColumnWidth` **[number][16]?** width of left section in columns. default is the length of the longest arg or flag name
    -   `options.rightColumnWidth` **[number][16]?** width of right section in columns. default is the full width of the terminal minus the leftColumnWidth
    -   `options.gutter` **[number][16]?** width of gutter in columns. default is `4`

Returns **[string][15]** 

[1]: #argsandflags

[2]: #parameters

[3]: #parse

[4]: #parameters-1

[5]: #help

[6]: #parameters-2

[7]: #formatdescription

[8]: #parameters-3

[9]: #argshelp

[10]: #parameters-4

[11]: #flagshelp

[12]: #parameters-5

[13]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Array

[14]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object

[15]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String

[16]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number
